/***********************************************************************
**                                                                    **
**  listing_7_4.c                                                     **
**                                                                    **
**  Toggle buttons and Row-Column. This program demonstrates the      **
**  appearance and interaction of XmToggleButton, both as a check     **
**  box and as a radio button.                                        **
**                                                                    **
***********************************************************************/


#include <Xm/RowColumn.h>
#include <Xm/ToggleB.h>


Widget	appshell,			/* Application Shell	      */
	row_col,			/* The parent                 */
	buttons[3];			/* The Toggle Buttons	      */


void main( argc, argv )
    int     argc;
    char    *argv[];
{
    appshell = XtInitialize( argv[0], "Listing_7_04", NULL, 0, &argc, argv );

    row_col = XmCreateRowColumn( appshell, "RowCol", NULL, 0 );
    XtManageChild( row_col );

    buttons[0] = XmCreateToggleButton( row_col, "Btn_0", NULL, 0 );
    buttons[1] = XmCreateToggleButton( row_col, "Btn_1", NULL, 0 );
    buttons[2] = XmCreateToggleButton( row_col, "Btn_2", NULL, 0 );
    XtManageChildren( buttons, 3 );

    XtRealizeWidget( appshell );
    XtMainLoop();
}
